Summary: CentOS Hyperscale SIG main repo configs
Name: centos-release-hyperscale
Version: 3
Release: 2%{?dist}
License: GPL
URL: http://wiki.centos.org/SpecialInterestGroup/Hyperscale
Source0: RPM-GPG-KEY-CentOS-SIG-HyperScale
Source1: CentOS-Stream-Hyperscale.repo
Source2: CentOS-Stream-Hyperscale-Experimental.repo

BuildArch: noarch

Requires: centos-stream-release

%description
Configs for the CentOS Hyperscale SIG main package repository.

%package experimental
Summary: CentOS Hyperscale SIG experimental repo configs

%description experimental
Configs for the CentOS Hyperscale SIG experimental package repository.

%prep

%install
install -p -d %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -p -d %{buildroot}%{_sysconfdir}/yum.repos.d
install -m 644 %{SOURCE1} %{SOURCE2} %{buildroot}%{_sysconfdir}/yum.repos.d

%files
%defattr(-,root,root)
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-HyperScale
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale.repo

%files experimental
%defattr(-,root,root)
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-HyperScale
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Experimental.repo

%changelog
* Fri Apr 09 2021 Davide Cavalca <dcavalca@fb.com> - 3-2
- Drop obsoletes for centos-hyperscale-keys as it was never actually built

* Fri Apr 09 2021 Davide Cavalca <dcavalca@fb.com> - 3-1
- Bring the keys back in and obsolete centos-hyperscale-keys
- Bring centos-release-hyperscale-experimental in as a subpackage

* Thu Apr 08 2021 Davide Cavalca <dcavalca@fb.com> - 2-1
- Factor out keys in centos-hyperscale-keys and require it

* Wed Feb 10 2021 Davide Cavalca <dcavalca@fb.com> - 1-2
- Require centos-stream-release instead of centos-release

* Wed Feb 10 2021 Davide Cavalca <dcavalca@fb.com> - 1-1
- Initial release
